Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.http
Class HttpNameServer.Syntax

    java.lang.Object
      ix.http.HttpNameServer.Syntax

Enclosing class:
  HttpNameServer

    public static class HttpNameServer.Syntax

extends java.lang.Object

Name-server message syntax.

Constructor Summary
`HttpNameServer.Syntax()`

Method Summary
`java.lang.String` | `getLookupAgentName(java.lang.Object m)`
`ServiceAddress` | `getRegisterAddress(java.lang.Object m)`
`java.lang.String` | `getRegisterAgentName(java.lang.Object m)`
`boolean` | `isLookupMessage(java.lang.Object m)`
`boolean` | `isRegisterMessage(java.lang.Object m)`
`static java.lang.Object` | `makeLookupMessage(java.lang.String agentName)`
`static java.lang.Object` | `makeRegisterMessage(java.lang.String agentName, ServiceAddress addr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpNameServer.Syntax

    public HttpNameServer.Syntax()

Method Detail

### makeRegisterMessage

    public static java.lang.Object makeRegisterMessage(java.lang.String agentName,
                                                       ServiceAddress addr)

### isRegisterMessage

    public boolean isRegisterMessage(java.lang.Object m)

### getRegisterAgentName

    public java.lang.String getRegisterAgentName(java.lang.Object m)

### getRegisterAddress

    public ServiceAddress getRegisterAddress(java.lang.Object m)

### makeLookupMessage

    public static java.lang.Object makeLookupMessage(java.lang.String agentName)

### isLookupMessage

    public boolean isLookupMessage(java.lang.Object m)

### getLookupAgentName

    public java.lang.String getLookupAgentName(java.lang.Object m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD